Page MenuHomePhabricator

Enabling the EducationProgram Extension on the ar.wikipedia
Closed, ResolvedPublic

Description

Author: OsamaK.WFM

Description:
I was asked by Tighe Flanagan, the Arab World Education Program Manager, to enable the Education Extension. I have completed most of the remaining untranslated parts and left a comment in the village pump and no one has raised any objection:

https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%AA%D9%82%D9%86%D9%8A%D8%A9/11/2013#.D8.AA.D9.81.D8.B9.D9.8A.D9.84_.D8.A7.D9.85.D8.AA.D8.AF.D8.A7.D8.AF_.D8.A8.D8.B1.D9.86.D8.A7.D9.85.D8.AC_.D8.A7.D9.84.D8.AA.D8.B9.D9.84.D9.8A.D9.85

Please enable the extension.


Version: master
Severity: enhancement

Details

Reference
bz57729

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:29 AM
bzimport set Reference to bz57729.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Nov 29 2013, 7:34 AM

The topic was not even discussed cause no one cares. We do not have any real Education Program volume to have such extension. Few Professors and even fewer courses.
If the extension dose not affect the performance then I guess it should be fine, but if it has any effects on the already bad servers performance, then there is no real need.

The extension won't cause any performance problems for the rest of the wiki. It is unlikely to be noticed by most editors, unless they are looking for it or using it.

Having this enabled soon would be helpful.

Reedy added a comment.Dec 18 2013, 7:10 PM

I do note that ar has no namespace aliases defined in the EducationProgram.i18n.ns.php file...

Change 102484 had a related patch set uploaded by Reedy:
Enable EducationProgram on arwiki

https://gerrit.wikimedia.org/r/102484

Change 102484 merged by Reedy:
Enable EducationProgram on arwiki

https://gerrit.wikimedia.org/r/102484

(In reply to comment #4)

I do note that ar has no namespace aliases defined in the
EducationProgram.i18n.ns.php file...

Please add the namespace names:

$namespaceNames['ar'] = array(

EP_NS      => 'برنامج_التعليم',
EP_NS_TALK => 'نقاش_برنامج_التعليم',

);

(In reply to comment #7)

Please add the namespace names:

This needs to be done in the codebase (not a configuration issue of Wikimedia servers) and needs to be filed against "MediaWiki extensions > EducationProgram".

Change 104759 had a related patch set uploaded by Reedy:
Add Arabic namespace names

https://gerrit.wikimedia.org/r/104759

Separate bug report would have been better - anyway, moving the component.

Change 104759 merged by jenkins-bot:
Add Arabic namespace names

https://gerrit.wikimedia.org/r/104759

Change 104982 had a related patch set uploaded by Reedy:
Add Arabic namespace names

https://gerrit.wikimedia.org/r/104982

Change 104982 merged by jenkins-bot:
Add Arabic namespace names

https://gerrit.wikimedia.org/r/104982

Assuming that all is fixed here (once 1.23wmf9 is deployed, see https://www.mediawiki.org/wiki/MediaWiki_1.23/Roadmap for dates).
If there are issues *after* deployment, please leave a comment here.